EntityAction (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.action.internal
Class EntityAction

    java.lang.Object
      org.hibernate.action.internal.EntityAction

All Implemented Interfaces:
  Serializable, Comparable, AfterTransactionCompletionProcess, Executable

Direct Known Subclasses:
  AbstractEntityInsertAction, EntityDeleteAction, EntityUpdateAction

    public abstract class EntityAction

extends Object
implements Executable, Serializable, Comparable, AfterTransactionCompletionProcess

Base class for actions relating to insert/update/delete of an entity instance.

See Also:
  Serialized Form

Constructor Summary
`protected` | `EntityAction(SessionImplementor session, Serializable id, Object instance, EntityPersister persister)` Instantiate an action.

Method Summary
`void` | `afterDeserialize(SessionImplementor session)` Reconnect to session after deserialization...
`void` | `beforeExecutions()` Called before executing any actions.
`int` | `compareTo(Object other)`
`protected EventSource` | `eventSource()`
`AfterTransactionCompletionProcess` | `getAfterTransactionCompletionProcess()` Get the after-transaction-completion process, if any, for this action.
`BeforeTransactionCompletionProcess` | `getBeforeTransactionCompletionProcess()` Get the before-transaction-completion process, if any, for this action.
`DelayedPostInsertIdentifier` | `getDelayedId()`
`String` | `getEntityName()` entity name accessor
`Serializable` | `getId()` entity id accessor
`Object` | `getInstance()` entity instance accessor
`EntityPersister` | `getPersister()` entity persister accessor
`Serializable[]` | `getPropertySpaces()` What spaces (tables) are affected by this action?
`SessionImplementor` | `getSession()` originating session accessor
`protected abstract boolean` | `hasPostCommitEventListeners()`
`protected
`<T> EventListenerGroup<T>`
` | `listenerGroup(EventType<T> eventType)`
`boolean` | `needsAfterTransactionCompletion()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.action.spi.Executable
`execute`

Methods inherited from interface org.hibernate.action.spi.AfterTransactionCompletionProcess
`doAfterTransactionCompletion`

Constructor Detail

### EntityAction

    protected EntityAction(SessionImplementor session,
                           Serializable id,
                           Object instance,
                           EntityPersister persister)

  Instantiate an action.

  Parameters:
    `session` - The session from which this action is coming.
    `id` - The id of the entity
    `instance` - The entity instance
    `persister` - The entity persister

Method Detail

### getBeforeTransactionCompletionProcess

    public BeforeTransactionCompletionProcess getBeforeTransactionCompletionProcess()

  Description copied from interface: `Executable`
  Get the before-transaction-completion process, if any, for this action.

  Specified by:
    `getBeforeTransactionCompletionProcess` in interface `Executable`
  Returns:
    The before-transaction-completion process, or null if we have no before-transaction-completion process

### getAfterTransactionCompletionProcess

    public AfterTransactionCompletionProcess getAfterTransactionCompletionProcess()

  Description copied from interface: `Executable`
  Get the after-transaction-completion process, if any, for this action.

  Specified by:
    `getAfterTransactionCompletionProcess` in interface `Executable`
  Returns:
    The after-transaction-completion process, or null if we have no after-transaction-completion process

### hasPostCommitEventListeners

    protected abstract boolean hasPostCommitEventListeners()

### needsAfterTransactionCompletion

    public boolean needsAfterTransactionCompletion()

### getEntityName

    public String getEntityName()

  entity name accessor

  Returns:
    The entity name

### getId

    public final Serializable getId()

  entity id accessor

  Returns:
    The entity id

### getDelayedId

    public final DelayedPostInsertIdentifier getDelayedId()

### getInstance

    public final Object getInstance()

  entity instance accessor

  Returns:
    The entity instance

### getSession

    public final SessionImplementor getSession()

  originating session accessor

  Returns:
    The session from which this action originated.

### getPersister

    public final EntityPersister getPersister()

  entity persister accessor

  Returns:
    The entity persister

### getPropertySpaces

    public final Serializable[] getPropertySpaces()

  Description copied from interface: `Executable`
  What spaces (tables) are affected by this action?

  Specified by:
    `getPropertySpaces` in interface `Executable`
  Returns:
    The spaces affected by this action.

### beforeExecutions

    public void beforeExecutions()

  Description copied from interface: `Executable`
  Called before executing any actions. Gives actions a chance to perform any preparation.

  Specified by:
    `beforeExecutions` in interface `Executable`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### compareTo

    public int compareTo(Object other)

  Specified by:
    `compareTo` in interface `Comparable`

### afterDeserialize

    public void afterDeserialize(SessionImplementor session)

  Reconnect to session after deserialization...

  Parameters:
    `session` - The session being deserialized

### listenerGroup

    protected <T> EventListenerGroup<T> listenerGroup(EventType<T> eventType)

### eventSource

    protected EventSource eventSource()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.